<div class="manage-table" *ngIf="isUpdate">
    <mat-tab-group>
        <mat-tab>
            <ng-template mat-tab-label>
                <p style="margin: 0" [matBadge]="countOrderNF" matBadgeColor="warn"> Đơn Hàng Có Sẵn</p>
            </ng-template>
            <table mat-table [dataSource]="orders">
                <ng-container matColumnDef="id">
                    <th mat-header-cell *matHeaderCellDef> ID </th>
                    <td mat-cell *matCellDef="let element"> {{element.orderId}} </td>
                </ng-container>

                <ng-container matColumnDef="customerName">
                    <th mat-header-cell *matHeaderCellDef> Tên Khách Hàng </th>
                    <td mat-cell *matCellDef="let element"> {{element.user.userName}} </td>
                </ng-container>

                <ng-container matColumnDef="email">
                    <th mat-header-cell *matHeaderCellDef> Email </th>
                    <td mat-cell *matCellDef="let element"> {{element.user.email}} </td>
                </ng-container>

                <ng-container matColumnDef="phoneNumber">
                    <th mat-header-cell *matHeaderCellDef> SĐT </th>
                    <td mat-cell *matCellDef="let element"> {{element.user.phoneNumber}} </td>
                </ng-container>

                <ng-container matColumnDef="address">
                    <th mat-header-cell *matHeaderCellDef> Địa Chỉ </th>
                    <td mat-cell *matCellDef="let element"> {{element.user.address}} </td>
                </ng-container>

                <ng-container matColumnDef="products">
                    <th mat-header-cell *matHeaderCellDef> Sản Phẩm </th>
                    <td mat-cell *matCellDef="let element">
                        <p *ngFor="let p of element.products">{{p.productName}}</p>
                    </td>
                </ng-container>

                <ng-container matColumnDef="orderDate">
                    <th mat-header-cell *matHeaderCellDef> Ngày Đặt </th>
                    <td mat-cell *matCellDef="let element"> {{element.orderDate | date: 'shortDate'}} </td>
                </ng-container>
                <ng-container matColumnDef="status">
                    <th mat-header-cell *matHeaderCellDef> Trạng Thái </th>
                    <td mat-cell *matCellDef="let element">
                        <span *ngIf="element.status == 0">Chưa Xem</span>
                        <span *ngIf="element.status == 1">Đã Xem</span>
                        <span *ngIf="element.status == 2">Đang Xử Lý</span>
                        <span *ngIf="element.status == 3">Hoàn Thành</span>
                    </td>
                </ng-container>
                <ng-container matColumnDef="deleting">
                    <th mat-header-cell *matHeaderCellDef> Xóa </th>
                    <td mat-cell *matCellDef="let element">
                        <button mat-button color="primary" (click)="delete(element)">Xóa</button>
                    </td>
                </ng-container>

                <ng-container matColumnDef="updating">
                    <th mat-header-cell *matHeaderCellDef> Sửa </th>
                    <td mat-cell *matCellDef="let element">
                        <button mat-button color="accent" (click)="update(element)">XEM</button>
                    </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumnsOrders; sticky: true"></tr>
                <tr mat-row
                    [ngClass]="{'notseen': row.status == 0, 'seen': row.status == 1, 'handling': row.status == 2, 'finish': row.status == 3}"
                    *matRowDef="let row; columns: displayedColumnsOrders;"></tr>
            </table>
        </mat-tab>
        <mat-tab >
            <ng-template mat-tab-label>
                <p style="margin: 0" [matBadge]="countOrderByRequestNF" matBadgeColor="warn"> Đơn Hàng Theo Yêu Cầu</p>
            </ng-template>
            <table mat-table [dataSource]="ordersByRequest">
                <ng-container matColumnDef="id">
                    <th mat-header-cell *matHeaderCellDef> ID </th>
                    <td mat-cell *matCellDef="let element"> {{element.orderByRequestId}} </td>
                </ng-container>

                <ng-container matColumnDef="customerName">
                    <th mat-header-cell *matHeaderCellDef> Tên Khách Hàng </th>
                    <td mat-cell *matCellDef="let element"> {{element.user.userName}} </td>
                </ng-container>

                <ng-container matColumnDef="email">
                    <th mat-header-cell *matHeaderCellDef> Email </th>
                    <td mat-cell *matCellDef="let element"> {{element.user.email}} </td>
                </ng-container>

                <ng-container matColumnDef="phoneNumber">
                    <th mat-header-cell *matHeaderCellDef> SĐT </th>
                    <td mat-cell *matCellDef="let element"> {{element.user.phoneNumber}} </td>
                </ng-container>

                <ng-container matColumnDef="address">
                    <th mat-header-cell *matHeaderCellDef> Địa Chỉ </th>
                    <td mat-cell *matCellDef="let element"> {{element.user.address}} </td>
                </ng-container>

                <ng-container matColumnDef="describe">
                    <th mat-header-cell *matHeaderCellDef> Mô Tả </th>
                    <td mat-cell *matCellDef="let element"> {{element.describeProduct | slice : 0 : 30}} </td>
                </ng-container>

                <ng-container matColumnDef="orderDate">
                    <th mat-header-cell *matHeaderCellDef> Ngày Đặt </th>
                    <td mat-cell *matCellDef="let element"> {{element.orderDate | date: 'shortDate'}} </td>
                </ng-container>

                <ng-container matColumnDef="status">
                    <th mat-header-cell *matHeaderCellDef> Trạng Thái </th>
                    <td mat-cell *matCellDef="let element">
                        <span *ngIf="element.status == 0">Chưa Xem</span>
                        <span *ngIf="element.status == 1">Đã Xem</span>
                        <span *ngIf="element.status == 2">Đang Xử Lý</span>
                        <span *ngIf="element.status == 3">Hoàn Thành</span>
                    </td>
                </ng-container>

                <ng-container matColumnDef="deleting">
                    <th mat-header-cell *matHeaderCellDef> Xóa </th>
                    <td mat-cell *matCellDef="let element">
                        <button mat-button color="primary" (click)="delete(element)">Xóa</button>
                    </td>
                </ng-container>

                <ng-container matColumnDef="updating">
                    <th mat-header-cell *matHeaderCellDef> Sửa </th>
                    <td mat-cell *matCellDef="let element">
                        <button mat-button color="accent" (click)="update(element)">XEM</button>
                    </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumnsOrdersByRequest; sticky: true"></tr>
                <tr mat-row
                    [ngClass]="{'notseen': row.status == 0, 'seen': row.status == 1, 'handling': row.status == 2, 'finish': row.status == 3}"
                    *matRowDef="let row; columns: displayedColumnsOrdersByRequest;"></tr>
            </table>
        </mat-tab>
    </mat-tab-group>
</div>
<div *ngIf="!isUpdate">
    <form [formGroup]="formUpdate" class="formUpdate">
        <mat-form-field class="col-12">
            <input matInput placeholder="Họ tên" id="name" formControlName="customerName" required maxlength="30"
                minlength="2">
        </mat-form-field>
        <mat-form-field class="col-12">
            <input matInput placeholder="Email" formControlName="email" id="email">
        </mat-form-field>
        <mat-form-field class="col-12">
            <span matPrefix>+84 &nbsp;</span>
            <input matInput placeholder="Số điện thoại" id="phoneNumber" type="tel" formControlName="phoneNumber"
                onKeyPress="if(this.value.length>9) return false;" required>
        </mat-form-field>
        <mat-form-field class="col-12">
            <textarea matInput placeholder="Địa chỉ" id="address" formControlName="address" required
                minlength="2"></textarea>
        </mat-form-field>
        <mat-form-field class="col-12">
            <mat-label>Trạng Thái Đơn Hàng</mat-label>
            <mat-select formControlName="status">
                <mat-option [value]="s.value" *ngFor="let s of status">{{s.displayName}}</mat-option>
            </mat-select>
        </mat-form-field>
        <ng-container *ngIf="!isOrder">
            <div style="display:none;">
                <div>
                    <textarea class="form-control" formControlName="describeProduct"
                        [value]="formUpdate.controls.describeProduct.value" name='describeProduct'></textarea>
                </div>
            </div>
            <div class="col-12 imgs-area" style="text-align: left;">
                <p style="text-align: left;display: inline;">Mô Tả Sản Phẩm</p>&nbsp;
            </div>
            <div class="col-12 imgs-area">
                <app-word-editor [isDefaultConfig]="true" [data]="formUpdate.controls.describeProduct.value"
                    (onChangeInput)="onChange($event)">
                </app-word-editor>
            </div>
        </ng-container>
        <ng-container *ngIf="isOrder">
            <div class="col-12" style="text-align: left;">
                <p style="text-align: left;display: inline;">Sản Phẩm Đã Mua</p>&nbsp;
                <button type="button" mat-button class="btn-outline border-primary"
                    (click)="openDialogAddProduct()">Thêm
                    Sản Phẩm</button>
            </div>
            <div class="col-12 row imgs-area">
                <ng-container *ngIf="formUpdate.value['products'].length != 0; else emptyY">
                    <div class="col-12 col-sm-6 col-md-4 col-lg-3 out-card"
                        *ngFor="let product of formUpdate.value['products']">
                        <div class="card">
                            <button mat-button class="closebtn" (click)="removeProduct(product)">
                                <mat-icon svgIcon="close"></mat-icon>
                            </button>
                            <div class="img-area">
                                <img [src]="product.imgsToList[0]" />
                                <p>{{product.productName}}</p>
                            </div>
                        </div>
                    </div>
                </ng-container>
                <ng-template #emptyY>
                    <p>Không có ảnh minh họa nào</p>
                </ng-template>
            </div>
        </ng-container>
        <div class="col-12 imgs-area">
            <button color="primary" mat-button matStepperNext type="button" (click)="onUpdate()" [disabled]="!formUpdate.valid">CẬP 
                NHẬT</button>&nbsp;
            <button color="accent" mat-button matStepperNext type="button" (click)="return()">QUAY
                VỀ</button>
        </div>
    </form>
</div>